=== debian/changelog ===
factor (0.80) unstable; urgency=low

  * New stable release.

 -- Trent Buck <trentbuck@gmail.com>  Tue, 31 Jan 2006 21:11:15 +1100

factor (0.79+cvs20060120-1) unstable; urgency=low

  * Refactored wrapper scripts and reduced build time.

 -- Trent Buck <trentbuck@gmail.com>  Fri, 20 Jan 2006 12:18:21 +1100

factor (0.79+cvs20060119-1) unstable; urgency=low

  * Make an extended.image.

 -- Trent Buck <trentbuck@gmail.com>  Wed, 18 Jan 2006 00:14:02 +1100

factor (0.79+cvs20060117-1) unstable; urgency=low

  * Bootstrap from an already-installed binary.

 -- Trent Buck <trentbuck@gmail.com>  Tue, 17 Jan 2006 10:24:10 +1100

factor (0.79+cvs20060114-1) unstable; urgency=low

  * Initial release Closes: #nnnn  (nnnn is the bug number of your ITP)

 -- Trent Buck <trentbuck@gmail.com>  Sat, 14 Jan 2006 10:17:28 +1100
