=== debian/control ===
Source: factor
Section: devel
Priority: optional
Maintainer: Trent Buck <trentbuck@gmail.com>
Build-Depends: factor, debhelper (>= 4.0.0), rubber, tetex-bin, tetex-extra, gs, sqlite3, libsdl1.2-dev, libfreetype6-dev, libsdl-gfx1.2-dev, libcairo2-dev, libsqlite3-dev, libx11-dev, libpq-dev
Standards-Version: 3.6.2

Package: factor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libsdl1.2-dev, libfreetype6-dev, libcairo2-dev, libsqlite3-dev, libx11-dev, libpq-dev
Suggests: rlwrap
Description: compiler for the concatenative language Factor
 Factor is a dynamic programming language. The end goal is to have a high
 performance, robust language for general-purpose client-side and server-side
 application development.
 .
 Factor is a natural evolution of Forth, combining Forth's simplicity and
 minimalism with a dynamically typed runtime supporting a Lisp-style object
 model and meta-programming. Factor also builds upon ideas from Joy, K, and
 Slate.
 .
 http://factorcode.org
